﻿using System.Collections;
using System.Linq;
using Telerik.XamarinForms.Common;
using Telerik.XamarinForms.DataControls.ListView;
using Xamarin.Forms;

namespace ListViewFilteringSample
{
    public partial class ListViewFilteringSamplePage : ContentPage
    {
        string text;

        public ListViewFilteringSamplePage()
        {
            this.BindingContext = new ViewModel();
            InitializeComponent();
        }

        void TextChanged(object sender, TextChangedEventArgs e)
        {
            this.text = e.NewTextValue;

            lv.FilterDescriptors.Clear();

            lv.FilterDescriptors.Add(new DelegateFilterDescriptor { Filter = this.FilterFunc });
        }

        private bool FilterFunc(object obj)
        {
            return text == null || ((string)obj).Contains(text);
        }
    }

    public class ViewModel : NotifyPropertyChangedBase
    {
        public ViewModel()
        {
            Data = Enumerable.Range(0, 100).Select(x => x.ToString());
        }

        public IEnumerable Data { get; set; }
    }
}
